const path = require('path');
import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';
import babel from 'rollup-plugin-babel';

export default {
  input: './utils/index.js',
  output: {
    file: path.resolve(__dirname, '../utils/index.common.js'),
    name: 'index.common.js',
    format: 'umd'
  },
  plugins: [ 
    resolve(),
    babel({
      exclude: 'node_modules/**' // 只编译我们的源代码
    }),
    commonjs({
      include: 'node_modules/**', 
      exclude: [ 'node_modules/foo/**', 'node_modules/bar/**' ],
      extensions: [ '.js', '.coffee' ],
      ignoreGlobal: false,
      sourceMap: false,
      namedExports: { 'react': ['createElement', 'Component' ] },
      ignore: [ 'conditional-runtime-dependency' ]
    })
  ]
};